From: Steven Baltakatei Sandoval <baltakatei@gmail.com>
Date: Fri, 10 Jul 2020 03:18:41 +0000 (+0000)
Subject: style(unitproc):timeUntilNextDay: Change VAR_NAMES to varNames
X-Git-Tag: 0.3.0~34
X-Git-Url: https://zdv2.bktei.com/gitweb/BK-2020-03.git/commitdiff_plain/ccf85e7b74070d40af992d587210f61149f4360f?ds=inline;hp=ffcae1aaf93ca3d14f396ef796893cde4fc9c210

style(unitproc):timeUntilNextDay: Change VAR_NAMES to varNames
---

diff --git a/unitproc/bktemp-timeUntilNextDay b/unitproc/bktemp-timeUntilNextDay
index 35c4893..429c4ba 100644
--- a/unitproc/bktemp-timeUntilNextDay
+++ b/unitproc/bktemp-timeUntilNextDay
@@ -8,29 +8,29 @@ die() { yell "$*"; exit 111; }
 try() { "$@" || die "cannot $*"; }
 timeUntilNextDay(){
     # Desc: Report seconds until next day.
-    # Version: 1.0.0
+    # Version: 1.0.1
     # Output: stdout: integer seconds until next day
     # Output: exit code 0 if stdout > 0; 1 if stdout = 0; 2 if stdout < 0
     # Usage: timeUntilNextDay
     # Usage: if ! myTTL="$(timeUntilNextDay)"; then yell "ERROR in if statement"; exit 1; fi
     # Depends: date 8, echo 8, yell, try
     
-    local returnState TIME_CURRENT TIME_NEXT_DAY SECONDS_UNTIL_NEXT_DAY
+    local returnState timeCurrent timeNextDay secondsUntilNextDay
 
-    TIME_CURRENT="$(date --iso-8601=seconds)" ; # Produce `date`-parsable current timestamp with resolution of 1 second.
-    TIME_NEXT_DAY="$(date -d "$TIME_CURRENT next day" --iso-8601=date)"; # Produce timestamp of beginning of tomorrow with resolution of 1 second.
-    SECONDS_UNTIL_NEXT_DAY="$(( $(date +%s -d "$TIME_NEXT_DAY") - $(date +%s -d "$TIME_CURRENT") ))" ; # Calculate seconds until closest future midnight (res. 1 second).
-    if [[ "$SECONDS_UNTIL_NEXT_DAY" -gt 0 ]]; then
+    timeCurrent="$(date --iso-8601=seconds)" ; # Produce `date`-parsable current timestamp with resolution of 1 second.
+    timeNextDay="$(date -d "$timeCurrent next day" --iso-8601=date)"; # Produce timestamp of beginning of tomorrow with resolution of 1 second.
+    secondsUntilNextDay="$(( $(date +%s -d "$timeNextDay") - $(date +%s -d "$timeCurrent") ))" ; # Calculate seconds until closest future midnight (res. 1 second).
+    if [[ "$secondsUntilNextDay" -gt 0 ]]; then
 	returnState="true";
-    elif [[ "$SECONDS_UNTIL_NEXT_DAY" -eq 0 ]]; then
+    elif [[ "$secondsUntilNextDay" -eq 0 ]]; then
 	returnState="warning_zero";
 	yell "WARNING:Reported time until next day exactly zero.";
-    elif [[ "$SECONDS_UNTIL_NEXT_DAY" -lt 0 ]]; then
+    elif [[ "$secondsUntilNextDay" -lt 0 ]]; then
 	returnState="warning_negative";
 	yell "WARNING:Reported time until next day is negative.";
     fi
 
-    try echo "$SECONDS_UNTIL_NEXT_DAY"; # Report
+    try echo "$secondsUntilNextDay"; # Report
     
     # Determine function return code
     if [[ "$returnState" = "true" ]]; then